Redmine - Defect #6019

Extremely slow SVN update
2010-08-03 12:26 - Polar Bear

Status: Closed Start date: 2010-08-03
Priority: Normal Due date:

Assignee: % Done: 0%
Category: SCM Estimated time: 0.00 hour
Target version:

Resolution: Affected version:

Description

As you can see here http://dev.getyhm.com/projects/yhm/repository
My repository is loading extremely slow for each page and it's killing me.
Any ideas why this is happening?

I am running it off a remote SVN but surely it can't take that long just to load a page?

History

#1 - 2010-08-19 02:22 - Go MAEDA
Please try the patch that | submitted at #6159.

The patch makes Redmine's repository browser faster by reducing exection of "svn log" command.
#2 - 2010-08-19 08:46 - Polar Bear
Only slightly.

Before: Completed in 9976ms (View: 279, DB: 133) | 200 OK
After Change: Completed in 9455ms (View: 108, DB: 23) | 200 OK

#3 - 2010-09-15 18:24 - Tiago Queirds
Polar Bear wrote:
Only slightly.
Before: Completed in 9976ms (View: 279, DB: 133) | 200 OK
After Change: Completed in 9455ms (View: 108, DB: 23) | 200 OK
| got this worse...

Rendering repositories/show
Completed in 155493ms (View: 121, DB: 9)

New project, couple hundred files. Some binary in it.
8(!) commits so far.

redmine 1.0.1.stable

MySQL (local)

subversion (local)

ruby 1.8.7

rails 2.3.5

How can | debug this?

#4 - 2010-09-15 22:45 - Felix Schéfer

How long does svn Is <the address you entered in redmine> take on the host redmine is hosted on?

#5 - 2010-09-15 22:45 - Felix Schéafer

How long does svn Is <the address you entered in redmine> take on the host redmine is hosted on?

#6 - 2010-09-16 11:15 - Tiago Queiros
http://dev.getyhm.com/projects/yhm/repository
https://www.redmine.org/issues/6159

Felix Schéafer wrote:

How long does svn Is <the address you entered in redmine> take on the host redmine is hosted on?

~# time svn 1ls http://<local ip>/svn/<repo>
(...)

real 0m0.663s
user Om0.052s
sys 0m0.007s

Where real varies somewhat.

#7 - 2010-09-16 20:58 - Polar Bear

real 0m2.475s
user 0m0.008s
sys 0m0.005s

#8 - 2010-09-16 21:16 - Felix Schéfer

- Status changed from New to Closed
Polar Bear wrote:
real 0m2.475s

user 0m0.008s
sys 0mO0.005s

This is it then. Most (if not all) pages on the repository view make accesses to the svn repository, and if each takes 2 seconds at least, that makes
your page load very slow.

You could minimize the impact of this by e.g. fetching the commits from your svn repository through cron or post-commit hook, see FAQ, and disable
auto-fetching in the global config.
